package com.njcn.pojo.user;

import com.njcn.pojo.configuration.GDInformation;
import com.njcn.pojo.configuration.Line;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @author denghuajun
 * @Date: 2019/7/4 11:36
 * 部门与监测点的绑定
 */
@Table(name = "PQS_DEPTSLINE")
public class DeptsLine {
    @Id
    @Column(name = "DEPTS_INDEX")
    private String deptsIndex;

    @Column(name = "LINE_INDEX")
    private Long lineIndex;

    @Column(name = "SYSTYPE")
    private String systype;

    @Transient
    public List<Line> lines;

    public List<Line> getLines() {
        return lines;
    }

    public void setLines(List<Line> lines) {
        this.lines = lines;
    }

    public String getSystype() {
        return systype;
    }

    public void setSystype(String systype) {
        this.systype = systype;
    }

    @Transient
    public List<GDInformation> gdi;

    public String getDeptsIndex() {
        return deptsIndex;
    }

    public void setDeptsIndex(String deptsIndex) {
        this.deptsIndex = deptsIndex;
    }

    public Long getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(Long lineIndex) {
        this.lineIndex = lineIndex;
    }

    public List<GDInformation> getGdi() {
        return gdi;
    }

    public void setGdi(List<GDInformation> gdi) {
        this.gdi = gdi;
    }

    @Override
    public String toString() {
        return "DeptsLine{" +
                "deptsIndex='" + deptsIndex + '\'' +
                ", lineIndex=" + lineIndex +
                ", systype='" + systype + '\'' +
                ", lines=" + lines +
                ", gdi=" + gdi +
                '}';
    }
}
